// PanelResults.cpp : implementation file
//

#include "stdafx.h"
#include "binarytool.h"
#include "PanelResults.h"
#include "GlobalData.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
// CPanelResults creation and initialisation


CPanelResults::CPanelResults(CWnd* pParent /*=NULL*/)
	: CPanel(CPanelResults::IDD, pParent)
{
	//{{AFX_DATA_INIT(CPanelResults)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT

	_tcscpy( m_szTitle, _T("Results") );
}


void CPanelResults::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CPanelResults)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CPanelResults, CDialog)
	//{{AFX_MSG_MAP(CPanelResults)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 

BOOL CPanelResults::Create( CWnd* pParentWnd )
{
	BOOL bResult = CDialog::Create( IDD, pParentWnd );

	if( bResult ) 
		g_stTheGlobalData.p_oEditResults = (CEdit *)GetDlgItem( IDC_EDIT_Results );

	return bResult;
}

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
// CPanelResults message handlers


// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
// CPanelResults user methods

void CPanelResults::m_fn_vUpdateRegistry()
{
}

